Subject: Re: linux-next: Fixes tag needs some work in the tip tree

From: Bandan Das <[email-masked]>
Date: Thu, 29 Aug 2019 04:26:33 -0400

Stephen Rothwell <[email-masked]> writes:

> Hi all,
>
> In commit
>
>   bae3a8d3308e ("x86/apic: Do not initialize LDR and DFR for bigsmp")
>
> Fixes tag
>
>   Fixes: db7b9e9f26b8 ("[PATCH] Clustered APIC setup for >8 CPU systems")
>
> has these problem(s):
>
>   - Target SHA1 does not exist
>

I tried to dig this up and I believe that this is from pre-git.
I went back as far as commit 1da177e4c3f41524e886b7f1b8a0c1fc7321cac2
Author: Linus Torvalds <[email-masked]>
Date:   Sat Apr 16 15:20:36 2005 -0700

    Linux-2.6.12-rc2
    
    Initial git repository build. I'm not bothering with the full history,
    even though we have it. We can create a separate "historical" git
    archive of that later if we want to, and in the meantime it's about
    3.2GB when imported into git - space that would just make the early
    git days unnecessarily complicated, when we don't have a lot of good
    infrastructure for it.
    
    Let it rip!

which adds init_apic_ldr() in include/asm-i386/mach-bigsmp/mach_apic.h with
the following:

+static inline void init_apic_ldr(void)
+{
+       unsigned long val;
+
+       apic_write_around(APIC_DFR, APIC_DFR_VALUE);
+       val = apic_read(APIC_LDR) & ~APIC_LDR_MASK;
+       val = calculate_ldr(val);
+       apic_write_around(APIC_LDR, val);
+}
...

So, the bug seems to be present here as well...

Bandan

> I could not quickly find an obvious match.